EDIT - bug #7716

Apply description sources (references) for a DescriptionBase to all included description elements
09/03/2018 12:01 PM - Andreas Mdller

Status: In Progress Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 10%
Category: cdmlib Estimated time: 0:00 hour
Target version: Release 5.44

Severity: normal Found in Version:

Description

Currently webservices, exports, dataportal and aggregation algorithms do not include source of Description for DescriptionElements
yet.

But Description.Sources are meant to be sources for all included DescriptionElements, so all services need to be checked to include
these sources.

Discuss if this is correct and how to implement.

Related issues:

Related to EDIT - feature request #7715: Description sources should be handle... Closed
Related to EDIT - bug #9456: Sources of Descriptive Datasets visible New
Related to EDIT - feature request #10206: Add publish flag to description base Closed
Related to EDIT - task #10222: Use DTOs for portal taxon page - first impleme... Closed
Related to EDIT - feature request #10334: Evaluate DescriptionBase.publish in... Closed
Copied from EDIT - feature request #1847: Apply description sources (referenc... Rejected
History

#1 - 09/03/2018 12:03 PM - Andreas Miiller

- Copied from feature request #1847: Apply description sources (references) for a DescriptionBase to all included description elements added

#2 - 09/03/2018 12:04 PM - Andreas Miiller

- Related to feature request #7715: Description sources should be handled same as DescriptionElement added

#3 - 09/06/2018 11:16 AM - Patrick Plitzner

- Target version changed from Release 5.3 to Release 5.4

#4 - 10/19/2018 03:05 PM - Patrick Plitzner

- Target version changed from Release 5.4 to Release 5.5

#5 - 01/30/2019 08:30 AM - Patrick Plitzner

- Target version changed from Release 5.5 to Release 5.6

#6 - 02/20/2019 03:42 PM - Patrick Plitzner
- Priority changed from New to Highest

#7 - 02/20/2019 03:47 PM - Patrick Plitzner

- Target version changed from Release 5.6 to Reviewed Next Major Release

#8 - 11/18/2019 02:45 PM - Andreas Miiller

- Assignee changed from Patrick Plitzner to Andreas Miiller

#9 - 02/08/2021 08:59 AM - Andreas Miiller
- Related to bug #9456: Sources of Descriptive Datasets visible added
#10 - 05/28/2023 01:17 PM - Andreas Miiller
- Related to feature request #10322: Use DTOs for portal taxon page (cont.) added

#11 - 05/28/2023 01:17 PM - Andreas Miiller
- Related to feature request #10206: Add publish flag to description base added

#12 - 05/29/2023 05:27 PM - Andreas Miiller
- Related to task #10222: Use DTOs for portal taxon page - first implementation for E+M added

#13 - 05/29/2023 05:27 PM - Andreas Miiller
- Related to deleted (feature request #10322: Use DTOs for portal taxon page (cont.))

#14 - 05/29/2023 05:27 PM - Andreas Miiller

Implemented for new taxon page (#10222)

#15 - 05/30/2023 08:45 PM - Andreas Miiller

- Related to feature request #10334: Evaluate DescriptionBase.publish in webservices added

#16 - 05/30/2023 09:27 PM - Andreas Miiller

- Status changed from New to In Progress

#17 - 05/30/2023 09:27 PM - Andreas Miiller
- Target version changed from Reviewed Next Major Release to Release 5.44

- % Done changed from 0 to 10

#18 - 01/19/2024 03:19 PM - Andreas Miiller

- Target version changed from Release 5.44 to Release 5.42

#19 - 01/22/2024 01:01 PM - Andreas Miiller

- Target version changed from Release 5.42 to Release 5.44
